1. InvoiceLines
Apacta
  • Cities
    • Get list of cities supported in Apacta
      GET
    • Get details about one city
      GET
  • ClockingRecords
    • Get a list of clocking records
      GET
    • Create clocking record for authenticated user
      POST
    • Checkout active clocking record for authenticated user
      POST
    • Delete a clocking record
      DELETE
    • Details of 1 clocking_record
      GET
    • Edit a clocking record
      PUT
  • Companies
    • Get a list of companies
      GET
    • Details of 1 company
      GET
    • Get a list of integration feature settings
      GET
    • Show details of 1 integration feature setting
      GET
  • ContactTypes
    • Get list of contact types supported in Apacta
      GET
    • Get details about one contact type
      GET
  • Contacts
    • Get a list of contacts
      GET
    • Add a new contact
      POST
    • Delete a contact
      DELETE
    • Details of 1 contact
      GET
    • Edit a contact
      PUT
  • Currencies
    • Get list of currencies supported in Apacta
    • Get details about one currency
  • EmployeeHours
    • Used to retrieve details about the logged in user's hours
  • ExpenseFiles
    • Show list of expense files
    • Add file to expense
    • Delete file
    • Show file
    • Edit file
  • ExpenseLines
    • Show list of expense lines
    • Add line to expense
    • Delete expense line
    • Show expense line
    • Edit expense line
  • Expenses
    • Show list of expenses
    • Add line to expense
    • Delete expense
    • Show expense
    • Edit expense
  • Expense OIOUBL files
    • Show list of all OIOUBL files for the expense
    • Show OIOUBL file
  • FormFieldTypes
    • Get list of form field types
    • Get details about single `FormField`
  • FormFields
    • Add a new field to a `Form`
    • Get details about single `FormField`
  • FormTemplates
    • Get array of form_templates for your company
    • View one form template
  • Forms
    • Retrieve array of forms
    • Add new form
    • Delete a form
    • View form
    • Edit a form
  • InvoiceLines
    • View list of invoice lines
      GET
    • Add invoice
      POST
    • Delete invoice line
      DELETE
    • View invoice line
      GET
    • Edit invoice line
      PUT
  • Invoices
    • View list of invoices
    • Add invoice
    • Delete invoice
    • View invoice
    • Edit invoice
  • MassMessagesUsers
    • View list of mass messages for specific user
    • View mass message
    • Edit mass message
  • Materials
    • View list of all materials
    • Delete material
    • View material
    • Edit material
    • Add material
  • MaterialRentals
    • Show list of rentals for specific material
    • Add material rental
    • Checkout material rental
    • Delete material rental
    • Show rental foor materi
    • Edit material rental
  • PaymentTermTypes
    • Get a list of payment term types
    • Details of 1 payment term type
  • PaymentTerms
    • Get a list of payment terms
    • Details of 1 payment term
  • Ping
    • Check if API is up and API key works
  • Products
    • List products
    • Add new product
    • Delete a product
    • View single product
    • Edit a product
  • ProjectStatuses
    • Get list of project statuses
    • Get details about one contact type
  • Projects
    • View list of projects
    • Add a project
    • Delete a project
    • View specific project
    • Edit a project
    • Show list of files uploaded to project
    • Delete file
    • Show file
    • Edit file
    • Show list of project files uploaded to project
    • Add project file to projects
    • Delete project file
    • Show project file
    • Edit project file
    • Show list of users added to project
    • Add user to project
    • Delete user from project
    • View specific user assigned to project
  • StockLocations
    • List stock_locations
    • Add new stock_locations
    • Delete location
    • View single location
    • Edit location
  • TimeEntries
    • List time entries
    • Add new time entry
    • Delete time entry
    • View time entry
    • Edit time entry
  • TimeEntryIntervals
    • List possible time entry intervals
    • View time entry interval
  • TimeEntryTypes
    • List time entries types
    • Add new time entry type
    • Delete time entry type
    • View time entry type
    • Edit time entry type
  • TimeEntryUnitTypes
    • List possible time entry unit types
    • View time entry unit type
  • TimeEntryValueTypes
    • List possible time entry value types
    • View time entry value type
  • Users
    • Get list of users in company
    • Add user to company
    • Delete user
    • View user
    • Edit user
  • VendorProducts
    • List vendor products
    • View single vendor product
  • WallComments
    • Add wall comment
    • View wall comment
  • WallPosts
    • View list of wall posts
    • Add a wall post
    • View wall post
    • See wall comments to a wall post
  • Schemas
    • Schemas
      • City
      • ClockingRecord
      • Company
      • Contact
      • ContactType
      • Currency
      • ErrorNotFound
      • ErrorValidation
      • Expense
      • ExpenseFile
      • ExpenseLine
      • Form
      • FormField
      • FormFieldType
      • FormTemplate
      • IntegrationFeatureSetting
      • Invoice
      • InvoiceLine
      • MassMessage
      • MassMessagesUser
      • Material
      • MaterialRental
      • PaginationDetails
      • PaymentTerm
      • PaymentTermType
      • Product
      • Project
      • ProjectStatus
      • StockLocation
      • TimeEntry
      • TimeEntryInterval
      • TimeEntryType
      • TimeEntryUnitType
      • TimeEntryValueType
      • User
      • VendorProduct
      • WallComment
      • WallPost
      • created
      • deleted
      • modified
    • RequestBodies
  1. InvoiceLines

View invoice line

GET
/invoice_lines/{invoice_line_id}

Request

Path Params

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://app.apacta.com/api/v1/invoice_lines/'
Response Response Example
{
    "data": {
        "created": "string",
        "created_by_id": "9377d689-01fb-4abf-8450-3368d2c1924f",
        "deleted": "string",
        "description": "string",
        "discount_percent": 0,
        "discount_text": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32",
        "modified": "string",
        "name": "string",
        "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
        "quantity": 0,
        "selling_price": 0,
        "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
    },
    "success": true
}
Modified at 2022-09-10 20:48:24
Previous
Delete invoice line
Next
Edit invoice line
Built with